ExtUtils::XSpp::Node::Destructor(3pm)

NAME
ExtUtils::XSpp::Node::Destructor - Node representing a destructor method

DESCRIPTION
An ExtUtils::XSpp::Node::Method subclass representing a destructor such as:

  class FooBar {
    ~FooBar(); // <-- this one
  };

METHODS

  new
Creates a new "ExtUtils::XSpp::Node::Destructor".

Most of the functionality of this class is inherited. This means that all named parameters of ExtUtils::XSpp::Node::Method and its base class are also valid for this class' destructor.

Additionally, this class requires that no return type has been specified as destructors do not have return types.

  perl_function_name
Returns the name of the class with "::DESTROY" appended.